from casioplot import show_screen,clear_screen,set_pixel
from math import pi,cos,sin
from Geolib import circle
from triangle import drawTriangle
from random import randint


_r=75
_step=0.15

X,Y=384,192
# Center
c=(X//2,Y//2)
x0,y0=c[0],c[1]

# Radar colors
b=(0,0,0)
C=[(0,255,0),(0,170,0),(0,113,0),(0,75,0),(0,50,0),(0,0,0)]  
_trace=len(C)

# black screen
for i in range(X):
  for j in range(Y):
    set_pixel(i,j,b)
# Radar outline
circle(x0,y0,_r+1,C[0])

# Object
O=[]


i=0
while True:
  p1=(x0+int(_r*cos(i)),y0+int(_r*sin(i)))
  for j in range(1,_trace+1):
    p2=(x0+int(_r*cos(i-j*_step)),y0+int(_r*sin(i-j*_step)))
    drawTriangle(c,p1,p2,C[j-1])
    p1=p2
  # draw obj
  if randint(0,100)<15:
    tmp=randint(15,_r-10)
    O.append([x0+int(tmp*cos(i)),y0+int(tmp*sin(i)),25])
  for io in range(len(O)):
    o=O[io]
    drawTriangle((o[0],o[1]),(o[0]-3,o[1]+5),(o[0]+3,o[1]+5),(o[2]*10,o[2]*10,o[2]*10))
    O[io][2]-=1
  if(len(O) and O[0][2]==-1):
    O=O[1:]
  i+=_step
  show_screen()
  #clear_screen()
